Subject: bug#3252: 23.0.93; extremely slow to open file on windows network drive

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 May 2009 21:25:15 +0300

> Date: Mon, 11 May 2009 19:11:31 +0100
> From: Chris Withers <[email-masked]>
> CC: [email-masked]
> 
> Eli Zaretskii wrote:
> >> Date: Mon, 11 May 2009 09:36:11 +0100
> >> From: Chris Withers <[email-masked]>
> >> CC: [email-masked]
> >>
> >>> Finally, does "C-x d" of the same directory take the same time as
> >>> drag-n-drop?
> >> No, the one file I tried took over a minute before I got bored of counting.
> > 
> > Sorry, I don't understand: is "C-x d" faster or slower than
> > drag-n-drop?
> 
> Slower.

Ah, now I get it: you need to wait 11 seconds for visiting
_a_single_file_ in that directory, is that right?

> >> I wonder if vc-svn may be the culprit? How can I disable that?
> > 
> > Try setting `vc-handled-backends' to nil.
> 
> The gave me the following error on startup:
> 
> Warning (initialization): An error occurred while loading `~/.emacs':
> 
> Wrong type argument: symbolp, (RCS CVS SVN SCCS Bzr Git Hg Mtn Arch)

Try in 'emacs -Q".  After invoking "emacs -Q", manually set
`vc-handled-backends' to nil, and then drag-n-drop that file.

And trying this in "emacs -Q" is a good idea anyway, since the source
of the slowdown may be in your ~/.emacs.